> ## Documentation Index
> Fetch the complete documentation index at: https://docs.silnahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Payor Contract



## OpenAPI

````yaml patch /public/v1/payor-contracts/{contract_id}
openapi: 3.0.2
info:
  title: Silna Public API
  version: '1.0'
servers:
  - url: https://app.silnahealth.com/api
security:
  - bearerAuth: []
paths:
  /public/v1/payor-contracts/{contract_id}:
    patch:
      tags:
        - V1ContractResource
      summary: Update Payor Contract
      operationId: V1ContractResource.patch
      parameters:
        - in: path
          name: contract_id
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/V1ContractUpdateBody'
        description: ''
      responses:
        '204':
          description: OK
          headers:
            X-RateLimit-Limit:
              schema:
                type: integer
                description: The maximum number of requests allowed in the time window
            X-RateLimit-Remaining:
              schema:
                type: integer
                description: The number of requests remaining in the current time window
            X-RateLimit-Reset:
              schema:
                type: integer
                description: The time when the rate limit will reset, in Unix timestamp
            Retry-After:
              schema:
                type: number
                description: The number of seconds to wait before making another request
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationError'
          headers:
            X-RateLimit-Limit:
              schema:
                type: integer
                description: The maximum number of requests allowed in the time window
            X-RateLimit-Remaining:
              schema:
                type: integer
                description: The number of requests remaining in the current time window
            X-RateLimit-Reset:
              schema:
                type: integer
                description: The time when the rate limit will reset, in Unix timestamp
            Retry-After:
              schema:
                type: number
                description: The number of seconds to wait before making another request
        '401':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AuthenticationError'
          headers:
            X-RateLimit-Limit:
              schema:
                type: integer
                description: The maximum number of requests allowed in the time window
            X-RateLimit-Remaining:
              schema:
                type: integer
                description: The number of requests remaining in the current time window
            X-RateLimit-Reset:
              schema:
                type: integer
                description: The time when the rate limit will reset, in Unix timestamp
            Retry-After:
              schema:
                type: number
                description: The number of seconds to wait before making another request
        '404':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ObjectNotFoundError'
          headers:
            X-RateLimit-Limit:
              schema:
                type: integer
                description: The maximum number of requests allowed in the time window
            X-RateLimit-Remaining:
              schema:
                type: integer
                description: The number of requests remaining in the current time window
            X-RateLimit-Reset:
              schema:
                type: integer
                description: The time when the rate limit will reset, in Unix timestamp
            Retry-After:
              schema:
                type: number
                description: The number of seconds to wait before making another request
        '429':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TooManyRequestsError'
          headers:
            X-RateLimit-Limit:
              schema:
                type: integer
                description: The maximum number of requests allowed in the time window
            X-RateLimit-Remaining:
              schema:
                type: integer
                description: The number of requests remaining in the current time window
            X-RateLimit-Reset:
              schema:
                type: integer
                description: The time when the rate limit will reset, in Unix timestamp
            Retry-After:
              schema:
                type: number
                description: The number of seconds to wait before making another request
components:
  schemas:
    V1ContractUpdateBody:
      properties:
        clinician_id:
          default: null
          description: >-
            The clinician's Silna identifier. Specify either clinician_id or
            provider_group_id.
          title: Clinician Id
          nullable: true
          format: uuid
          type: string
        provider_group_id:
          default: null
          description: >-
            The provider group's Silna identifier. Specify either clinician_id
            or provider_group_id.
          title: Provider Group Id
          nullable: true
          format: uuid
          type: string
        insurance_types:
          default: []
          description: >-
            Specifies which insurance types this contract covers. When no types
            are selected, the contract applies to all insurance types.
          items:
            $ref: '#/components/schemas/InsuranceType'
          title: Insurance Types
          type: array
        plans:
          default: []
          description: >-
            Select specific plans to include. When no plans are selected, the
            contract applies to all plans. Cannot be combined with
            excluded_plans.
          items:
            format: uuid
            type: string
          title: Plans
          type: array
        excluded_plans:
          default: []
          description: >-
            Select specific plans to exclude. The contract will apply to all
            plans except those selected. Cannot be combined with plans.
          items:
            format: uuid
            type: string
          title: Excluded Plans
          type: array
        service_locations:
          description: At least one service location is required.
          items:
            format: uuid
            type: string
          minItems: 1
          title: Service Locations
          type: array
        medicaid_id:
          default: null
          description: Medicaid ID
          title: Medicaid Id
          nullable: true
          type: string
        ipa_required:
          default: null
          description: >-
            When enabled, this contract only applies when the patient is
            associated with one of the contract's IPAs.
          title: Ipa Required
          nullable: true
          type: boolean
      required:
        - service_locations
      title: V1ContractUpdateBody
      type: object
      x-folder: public_api
    ValidationError:
      type: object
      required:
        - message
      properties:
        message:
          type: string
          description: Human readable error message
      x-folder: null
    AuthenticationError:
      type: object
      required:
        - message
      properties:
        message:
          type: string
          description: Human readable error message
        type:
          $ref: '#/components/schemas/PublicApiErrorType'
      x-folder: null
    ObjectNotFoundError:
      type: object
      required:
        - message
      properties:
        message:
          type: string
          description: Human readable error message
      x-folder: null
    TooManyRequestsError:
      type: object
      required:
        - message
      properties:
        message:
          type: string
          description: Human readable error message
      x-folder: null
    InsuranceType:
      type: string
      enum:
        - COMMERCIAL
        - MEDICARE
        - MEDICAID
        - REGIONAL_CENTER
        - WORKERS_COMPENSATION
        - AUTO_INSURANCE
      x-folder: patient
    PublicApiErrorType:
      type: string
      enum:
        - AUTH_INVALID_REQUEST_HEADER
        - AUTH_INVALID_CREDENTIALS
      x-folder: null
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````